# Bet Placement

### Bet Placement Flow <a href="#bet-placement-flow" id="bet-placement-flow"></a>

{% content-ref url="/pages/2l7cTFxJAk5U4UAqv2Er" %}
[Bets API](/odds88-client-api/odds88-api-endpoints/bets-api.md)
{% endcontent-ref %}

* **Bet Placement Rules:**
  * Bets are allowed as single or multi bets on Each-Way markets.
  * Multi bets are allowed **only on** **different events** **with Each-Way markets**.
  * When including Each-Way selections in a multi bet, the bet is essentially **split into two parallel multi bets running simultaneously:**
    1. **Win multi** — using the win part of each selection
    2. **Place multi** — using the place part of each selection
  * Each-Way bets are only allowed for markets with extraParameter:
    * `Market.ExtraParameters : { "IsEW": "normal" or "handicap" }`
  * If a bettor places **€10 as Each-Way** bet **it needs to be sent as doubled** meaning <mark style="color:$danger;">**total stake is €20**</mark>

Single bet example with **total stake**:

<pre class="language-json"><code class="lang-json">{  
  "id": "TestBet88",
  "player": {
    "deviceId": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/90.0.4430.212 Safari/537.36",
    "languageId": "en",
    "ip": "0.0.0.0",
    "segmentId": 1000
  },
  "priceChange": 1,
  "items": [
    {
      "eventId": 12345,
      "marketId": 71356478,
      "selectionId": 41009286,
<strong>      "price": 5.5
</strong>    }
  ],
  "betType": 0,
  "amount": {
    "currency": "EUR",
    "value": 200000,
    "precision": 4
  }
}
</code></pre>

Multi bet example with **total stake**:

<pre class="language-json"><code class="lang-json">{  
  "id": "TestBet88",
  "player": {
    "deviceId": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/90.0.4430.212 Safari/537.36",
    "languageId": "en",
    "ip": "0.0.0.0",
    "segmentId": 1000
  },
  "priceChange": 1,
  "items": [
    {
      "eventId": 12345,
      "marketId": 71356478,
      "selectionId": 41009286,
<strong>      "price": 5.5
</strong>    },
    {
      "eventId": 54321,
      "marketId": 71356478,
      "selectionId": 37593953,
      "price": 2.5
    }
  ],
  "betType": 0,
  "amount": {
    "currency": "EUR",
    "value": 200000,
    "precision": 4
  }
}
</code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.odds88.io/integration-process/recommended-integration-flow/optional-features/each-way-betting-integration/bet-placement.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
